Upstream information

CVE-2021-32839 at MITRE

Description

sqlparse is a non-validating SQL parser module for Python. In sqlparse versions 0.4.0 and 0.4.1 there is a regular Expression Denial of Service in sqlparse vulnerability. The regular expression may cause exponential backtracking on strings containing many repetitions of '\r\n' in SQL comments. Only the formatting feature that removes comments from SQL statements is affected by this regular expression. As a workaround don't use the sqlformat.format function with keyword strip_comments=True or the --strip-comments command line flag when using the sqlformat command line tool. The issues has been fixed in sqlparse 0.4.2.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1190741 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • python3-sqlparse >= 0.4.2-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-3857
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • python3-sqlparse >= 0.4.2-3.3.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA python3-sqlparse-0.4.2-3.3.1
openSUSE Leap 15.3
  • python3-sqlparse >= 0.4.2-3.3.1
Patchnames:
openSUSE-SLE-15.3-2021-3857
openSUSE Tumbleweed
  • python36-sqlparse >= 0.4.2-1.1
  • python38-sqlparse >= 0.4.2-1.1
  • python39-sqlparse >= 0.4.2-1.1
Patchnames:
openSUSE Tumbleweed GA python36-sqlparse-0.4.2-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 python-sqlparse Not affected
SUSE CaaS Platform 4.0 python-sqlparse Not affected
SUSE Enterprise Storage 6 python-sqlparse Not affected
SUSE Linux Enterprise Desktop 15 SP2 python-sqlparse Not affected
SUSE Linux Enterprise Desktop 15 SP3 python-sqlparse Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS python-sqlparse Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS python-sqlparse Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 python-sqlparse Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 python-sqlparse Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 python-sqlparse Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 python-sqlparse Released
SUSE Linux Enterprise Server 15 SP1 LTSS python-sqlparse Not affected
SUSE Linux Enterprise Server 15 SP2 python-sqlparse Not affected
SUSE Linux Enterprise Server 15 SP3 python-sqlparse Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 python-sqlparse Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 python-sqlparse Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 python-sqlparse Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 python-sqlparse Released
SUSE Linux Enterprise Storage 7 python-sqlparse Not affected
SUSE Linux Enterprise Storage 7.1 python-sqlparse Released
SUSE Manager Proxy 4.1 python-sqlparse Not affected
SUSE Manager Proxy 4.2 python-sqlparse Released
SUSE Manager Retail Branch Server 4.1 python-sqlparse Not affected
SUSE Manager Retail Branch Server 4.2 python-sqlparse Released
SUSE Manager Server 4.1 python-sqlparse Not affected
SUSE Manager Server 4.2 python-sqlparse Released
SUSE OpenStack Cloud 8 python-sqlparse Not affected
SUSE OpenStack Cloud 9 python-sqlparse Not affected
SUSE OpenStack Cloud Crowbar 8 python-sqlparse Not affected
SUSE OpenStack Cloud Crowbar 9 python-sqlparse Not affected
SUSE Package Hub 15 SP1 python-sqlparse Not affected
SUSE Package Hub 15 SP3 python-sqlparse Not affected